Bug 674085 - Review Request: rubygem-virt - Simplied interface to use ruby the libvirt library
Review Request: rubygem-virt - Simplied interface to use ruby the libvirt lib...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-31 10:45 EST by Lukas Zapletal
Modified: 2013-07-04 12:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 12:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2011-01-31 10:45:46 EST
Spec URL: http://static.zapletalovi.com/fedora/rpm/rubygem-virt/0.1.0-1/rubygem-virt.spec
SRPM URL: http://static.zapletalovi.com/fedora/rpm/rubygem-virt/0.1.0-1/rubygem-virt-0.1.0-1.fc14.src.rpm
Description:

Simplied interface to use ruby the libvirt ruby library

# rpmlint rubygem-virt-0.1.0-1.fc14.src.rpm 
rubygem-virt.src: I: enchant-dictionary-not-found en_US
rubygem-virt.src: W: no-%prep-section
rubygem-virt.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

# rpmlint rubygem-virt-0.1.0-1.fc14.noarch.rpm 
rubygem-virt.noarch: I: enchant-dictionary-not-found en_US
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Volume/new%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Interface/new%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Pool/new%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Connection/closed%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Connection/secure%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Guest/new%3f-i.yaml %3f
rubygem-virt.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/virt-0.1.0/ri/Virt/Guest/running%3f-i.yaml %3f
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 1 Miroslav Suchý 2011-08-09 08:45:21 EDT
rubygem-virt.src: W: spelling-error %description -l en_US Simplied -> Implied, S implied, Simplified

%description does not sound as english to me :)

Description have to end with dot.

rubygem-virt.src: W: no-%prep-section
rubygem-virt.src: W: no-%build-section

This section should be present, and should be empty.

And just courious question: why did you start new project, when there is for long time:
http://libvirt.org/ruby/
?
Hmm, did I understood correctly, that it provides simplified interface to ruby-libvirt?

Otherwise it seem OK from the first view.
Comment 2 Miroslav Suchý 2011-08-09 08:56:35 EDT
You are missing requires for ruby-libvirt or more precisely for ruby(libvirt).
Since you install Rakefile you probably should require rubygem-bundler as well.
Note, that I stop searching after I find those two missing dependecies, so there may be others.
Comment 3 Lukas Zapletal 2011-10-06 16:45:11 EDT
Thanks Mirek and I am sorry it took so long to get back to it.

I fixed all your remarks. And I was really missing the dependency. Bundler is not necessary, its just the one you mentioned.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3410848

$ rpmlint rubygem-virt-0.1.0-1.fc15.src.rpm 
rubygem-virt.src: W: spelling-error Summary(en_US) libvirt -> liberty
rubygem-virt.src: W: spelling-error %description -l en_US libvirt -> liberty
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

SPEC & SRPM: http://static.zapletalovi.com/fedora/rpm/rubygem-virt/0.1.0-2
Comment 4 Lukas Zapletal 2011-10-06 16:47:59 EDT
@Ohad - Would you mind testing the latest build on Fedora 15 or 16 for me? It's a rawhide build...

http://koji.fedoraproject.org/koji/getfile?taskID=3410848&name=rubygem-virt-0.1.0-1.fc17.noarch.rpm
Comment 5 Vít Ondruch 2011-10-07 04:52:06 EDT
If I may, I would suggest the following:

* Remove unnecessary ruby_sitelib and ruby_sitearch globals, since they are not used for this gem.
* The require should preferably use the virtual providers every Ruby package should have, i.e. use Requires: ruby(libvirt) and BuildRequires: ruby(rubygems)
* The package should reference required ruby(abi)
* The BuildRoot is obsolete
* The clean section is not required
* The %defattr macros are obsolete
* It would be nice to use -doc subpackage for larger documentation
* I always suggest to execute the test suite in the %check section to protect you, your users and possibly somebody else who will need to rebuild your package

BTW have you updated the release number nor not? Or am I doing review on wrong srpm? But I took one from Koji [1] you reference ...


[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=3410848
Comment 6 Miroslav Suchý 2011-10-07 04:55:03 EDT
Correct url is:
http://lzap.fedorapeople.org/fedora-packaging/rubygem-virt/0.1.0-2/
Comment 7 Miroslav Suchý 2011-10-07 04:57:04 EDT
* The BuildRoot is obsolete
* The clean section is not required
* The %defattr macros are obsolete

Well unless you plan to do epel release. And I'm quite sure Lukas will be very interested to push it into epel as well.
Comment 8 Miroslav Suchý 2011-10-07 05:15:37 EDT
I second #5 and beside that:

* how it comes that bundler is not necessery. The Rakefile is still there. And it requires bundler. Since rpm has no soft dependecies you should list all requires, even if they are not neede for some tasks. Or you can remove the Rakefile. AFAIK it is not needed in runtime.
Comment 9 Vít Ondruch 2011-10-07 05:37:28 EDT
Yes, that is true, however %defattr is not required for any version of EPEL as far as I know. Not sure about the others.
Comment 10 Vít Ondruch 2011-10-07 05:39:40 EDT
Neither Rake nor Bundler are required for proper Gem functionality. Actually you have no chance to simply call the rake for gem, typically we include the Rakefile just in -doc subpackage.
Comment 11 Miroslav Suchý 2012-08-04 12:37:35 EDT
ping. any progress here?
Comment 12 Lukas Zapletal 2012-08-16 15:13:27 EDT
I guess I will have to start over with the new gem2rpm script. So many changes.
Comment 13 Miroslav Suchý 2012-08-16 16:39:22 EDT
You probably did not wanted to change component. Reseting back.
Comment 14 Miroslav Suchý 2012-12-03 12:10:32 EST
Ping?
Comment 16 Miroslav Suchý 2012-12-13 06:27:22 EST
Upstream provide tests. You should run in %check phase.
Comment 17 Lukas Zapletal 2012-12-13 07:04:30 EST
Ok to run tests we need a rubygem jeweler which is not in Fedora yet:

https://github.com/ohadlevy/virt/blob/master/Rakefile

http://kojipkgs.fedoraproject.org//work/tasks/6216/4786216/root.log

I guess I will leave this effort on our baseos guys. Feel free to take this bug and finish the packaging.
Comment 18 Vít Ondruch 2012-12-13 07:07:29 EST
(In reply to comment #17)
> Ok to run tests we need a rubygem jeweler which is not in Fedora yet:

Don't use Rake to execute the test suite and you'll be fine. And the reason is in your quote as well as in guidelines [1].

[1] https://fedoraproject.org/wiki/Packaging:Ruby#Running_test_suites
Comment 19 Miroslav Suchý 2013-07-02 11:20:23 EDT
ping! any progress here?
Comment 20 Lukas Zapletal 2013-07-04 12:07:08 EDT
Guys, we dropped support of rubygem-virt in Foreman cos we are using rubygems libvirt and fog now. This project seems to be dead now.

I am closing this review, thank you for help and effort on this.

Note You need to log in before you can comment on or make changes to this bug.